# -*- coding: latin-1 -*-
# =====================================================
#GTA2 Font generator with Imagemagick, bash and Python.
#Cuban-Pete | 2010
#tested with python 2.6.1
#Version 1.11

import os
import subprocess

msg ="chcp 850" #os.popen() is to give dos/cmd.exe an action
os.popen(msg) #set correct system character codec (i think) 


colorDic = (
    ['normal',          "doesn't mather"],
    ['light brown',     '#b39564'],
    ['white',           'white'],
    ['bright blue',     '#a2d0ff'],
    ['dark blue',       '#95bfea'],
    ['Veteran',         '#0099ff'],
    ['VIP',             '#ffff6e'],
    ['Administrator',   '#ffa34f'],

    ['Custom',          "doesn't mather"], 
    ['Elvis Mafia',     '#eccbff'],    
    ['Krishna',         '#ff6312'], 
    ['Loonies',         '#61ff18'],
    ['Mad Island Mafia','#ffd26d'],
    ['Prison Mafia',    '#007b46'],
    ['Redneck',         '#3852ff'],
    ['Russian Mafia',   '#dd2c2c'],
    ['Scientists',      '#ffb600'],
    ['Yakuza',          '#4000ff'],
    ['Zaibatsu',        '#7a8c8f'],
            )

colormenu ="""=================================================
Please pick a color
=================================================

0 - Normal (Enter)      5 - Veteran (forum)
1 - Ligh Brown          6 - VIP (forum)
2 - White (Grey)        7 - Administrator (forum)
3 - Bright Blue
4 - Dark Blue           8 - CUSTOM
        
9  - Elvis Mafia
10 - Krishna
11 - Loonies
12 - Mad Island Mafia
13 - Prison Mafia
14 - Redneck
15 - Russian Mafia
16 - Scientists
17 - Yakuza
18 - Zaibatsu

=================================================
"""

fontmenu = """=================================================
===============txt2gta2 version 1.1==============
=================================================
0 - GTA2 Normal font (press Enter) (i.e. chat)

1 - GTA2 Large font (i.e. WASTED)

2 - GTA2 Menu font

3 - Street signs (not working yet)
4 - Car signs (not working yet)  
5 - Money numbers (not working yet)
=================================================
"""
print fontmenu

inpfont = raw_input('Enter font type number: ') # for picking correct folder and font

try: #if not an number is entered, we make it a zero. moehahaha
    inpfont = int(inpfont)
    if inpfont >= 6:
        inpfont = 0
except ValueError:
    inpfont = 0

if inpfont == 0: #make sure that is correct folder
    folder = 'normal'
if inpfont == 1:
    folder = 'large'
if inpfont == 2:
    folder = 'menu'

print colormenu

inpColor = raw_input('Enter color number: ') #for colorize function

try: #if not an number is entered, we make it a zero. moehahaha
    inpColor = int(inpColor)
    if inpColor >= 19:
        inpColor = 0
except ValueError:
    inpColor = 0
    
if inpColor == 8:
    color = raw_input('Use HTML (i.e. #ffc100) \nEnter the color code: ') #for fill in own color
else:
    color = colorDic[inpColor][1]

def work():
    inp = raw_input('Enter your text line: ')

    print 'working...'
    
    inpList = [] #a list to contain the characters from input (seperated) 
    for i in inp:
        inpList.append(i)

    inpLen = len(inpList) #total amount of letters/characters

       
    for i in range(inpLen): #the working horse, go check every letter and copy temp file
        letter = ord(inpList[i].decode('latin-1')) #change letter to number
        if inpfont == 1 or inpfont == 2: #when using large or menu font, change lower to capital
            for q in range(97,123):
                if letter == q:
                    letter -= 32
                        
        msg =""" copy ".\\alphabet\%s\%s.png" ".\\alphabet\%04dtemp.png" """ % (folder,letter,i)
        os.popen(msg)

    msg =""".\\imagemagick\convert.exe "alphabet\*temp.png" +append "result.png" """ 
    os.popen(msg) #put it all together with some magic (and of course imagemagick exe)

    msg =".\\alphabet\\remove_temp.bat"
    subprocess.Popen(msg) #delete temp files

    if inpfont <= 2:
        if inpColor > 0:
            msg =""".\\imagemagick\convert.exe result.png -colorspace Gray -normalize +level-colors black,%s "result.png" """ % (color)
            os.popen(msg) #put on the right color

    print 'done'

work()
print

msg ="sleep 1"
os.popen(msg) #1 sec slow time to show it is done

#### abcdefghijklmonpqrstuvwxyz
